[Security Announce] [ MDKSA-2006:132 ] - Updated libwmf packages fixes integer overflow vulnerability
Posted on: 07/28/2006 06:12 PM

The Mandriva Security Team published a new security update for Mandriva Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDKSA-2006:132
http://www.mandriva.com/security/
_______________________________________________________________________

Package : libwmf
Date : July 28, 2006
Affected: 2006.0, Corporate 3.0
_______________________________________________________________________

Problem Description:

Integer overflow in player.c in libwmf 0.2.8.4, as used in multiple products
including (1) wv, (2) abiword, (3) freetype, (4) gimp, (5) libgsf, and
(6) imagemagick allows remote attackers to execute arbitrary code via the
MaxRecordSize header field in a WMF file.

Updated packages have been patched to correct this issue.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3376
_______________________________________________________________________

Updated Packages:

Mandriva Linux 2006.0:
8444d8a03c7d7a27c7900b926ceed425 2006.0/RPMS/libwmf0.2_7-0.2.8.3-6.3.20060mdk.i586.rpm
06e5b43eb58101a2f477463f741487c5 2006.0/RPMS/libwmf0.2_7-devel-0.2.8.3-6.3.20060mdk.i586.rpm
94a6c393cfe9f1200cac9fa1a5f91e16 2006.0/RPMS/libwmf-0.2.8.3-6.3.20060mdk.i586.rpm
95124757308566507ed5dfc6d5707928 2006.0/SRPMS/libwmf-0.2.8.3-6.3.20060mdk.src.rpm

Mandriva Linux 2006.0/X86_64:
f884c20e020d6b69923f554b58447da3 x86_64/2006.0/RPMS/lib64wmf0.2_7-0.2.8.3-6.3.20060mdk.x86_64.rpm
929b12657158b991a1bf9d89630d14f4 x86_64/2006.0/RPMS/lib64wmf0.2_7-devel-0.2.8.3-6.3.20060mdk.x86_64.rpm
9610aade95ffa152e5e9be9228b512d1 x86_64/2006.0/RPMS/libwmf-0.2.8.3-6.3.20060mdk.x86_64.rpm
95124757308566507ed5dfc6d5707928 x86_64/2006.0/SRPMS/libwmf-0.2.8.3-6.3.20060mdk.src.rpm

Corporate 3.0:
9955beae1781bb6bbda0a0e33b48bd17 corporate/3.0/RPMS/libwmf0.2_7-0.2.8-6.3.C30mdk.i586.rpm
e73b7351b468a70a1c66ecbfb2c75094 corporate/3.0/RPMS/libwmf0.2_7-devel-0.2.8-6.3.C30mdk.i586.rpm
a73e09fb31251be810543f63ddaeeaf1 corporate/3.0/RPMS/libwmf-0.2.8-6.3.C30mdk.i586.rpm
2e4701b959fe15524990679b28c8a441 corporate/3.0/SRPMS/libwmf-0.2.8-6.3.C30mdk.src.rpm

Corporate 3.0/X86_64:
a65791ba5ba79a1ffa249900787d0ac1 x86_64/corporate/3.0/RPMS/lib64wmf0.2_7-0.2.8-6.3.C30mdk.x86_64.rpm
e605436808bdd2ec468277597971e014 x86_64/corporate/3.0/RPMS/lib64wmf0.2_7-devel-0.2.8-6.3.C30mdk.x86_64.rpm
cfe857638749ae5f800f93436714616c x86_64/corporate/3.0/RPMS/libwmf-0.2.8-6.3.C30mdk.x86_64.rpm
2e4701b959fe15524990679b28c8a441 x86_64/corporate/3.0/SRPMS/libwmf-0.2.8-6.3.C30mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
lt;security*mandriva.comgt;
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEyhJKmqjQ0CJFipgRAncmAJ4yYMByyVAF8Z7h/aqoX9BAMNGu6QCgwzRg
LvJwBfxTzPeuUW/BQSLp2RM=
=ZTxW
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/security_announce_mdksa_2006132__updated_libwmf_packages_fixes_integer_overflow_vulnerability.html)